<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSLFPictureShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSLFPictureShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFPictureShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
               target="_top">Frames</a></li>
        <li><a href="XSLFPictureShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xslf.usermodel</div>
    <h2 title="Class XSLFPictureShape" class="title">Class XSLFPictureShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                       title="class in org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel.XSLFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                               title="class in org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel.XSLFSimpleShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xslf.usermodel.XSLFPictureShape</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                           title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XSLFPictureShape</span>
extends <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
           title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a>
implements <a href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
              title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</pre>
                <div class="block">Represents a picture shape</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTBlip</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getBlip--">getBlip</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getBlipFill--">getBlipFill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getBlipId--">getBlipId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getBlipLink--">getBlipLink</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.awt.Insets</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getClipping--">getClipping</a></span>()</code>
                                    <div class="block">Returns the clipping values as percent ratio relatively to the
                                        image size.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFPictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getPictureData--">getPictureData</a></span>()</code>
                                    <div class="block">Return the data on the (internal) picture.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.net.URI</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#getPictureLink--">getPictureLink</a></span>()</code>
                                    <div class="block">For an external linked picture, return the last-seen
                                        path to the picture.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#isExternalLinkedPicture--">isExternalLinkedPicture</a></span>()</code>
                                    <div class="block">Is this an internal picture (image data included within
                                        the PowerPoint file), or an external linked picture
                                        (image lives outside)?
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                    <div class="block">Specifies that the corresponding shape should be represented by
                                        the generating application
                                        as a placeholder.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xslf.usermodel.XSLFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#createHyperlink--">createHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getGeometry--">getGeometry</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineCap--">getLineCap</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineColor--">getLineColor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineCompound--">getLineCompound</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineDash--">getLineDash</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineDecoration--">getLineDecoration</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineHeadDecoration--">getLineHeadDecoration</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineHeadLength--">getLineHeadLength</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineHeadWidth--">getLineHeadWidth</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLinePaint--">getLinePaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineTailDecoration--">getLineTailDecoration</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineTailLength--">getLineTailLength</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineTailWidth--">getLineTailWidth</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLineWidth--">getLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getShadow--">getShadow</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getStrokeStyle--">getStrokeStyle</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getXfrm-boolean-">getXfrm</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setFillColor-java.awt.Color-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineCap-org.apache.poi.sl.usermodel.StrokeStyle.LineCap-">setLineCap</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineColor-java.awt.Color-">setLineColor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineCompound-org.apache.poi.sl.usermodel.StrokeStyle.LineCompound-">setLineCompound</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineDash-org.apache.poi.sl.usermodel.StrokeStyle.LineDash-">setLineDash</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineHeadDecoration-org.apache.poi.sl.usermodel.LineDecoration.DecorationShape-">setLineHeadDecoration</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineHeadLength-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineHeadLength</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineHeadWidth-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineHeadWidth</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineTailDecoration-org.apache.poi.sl.usermodel.LineDecoration.DecorationShape-">setLineTailDecoration</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineTailLength-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineTailLength</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineTailWidth-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineTailWidth</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setRotation-double-">setRotation</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#setStrokeStyle-java.lang.Object...-">setStrokeStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xslf.usermodel.XSLFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#fetchShapeProperty-org.apache.poi.xslf.model.PropertyFetcher-">fetchShapeProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgPr--">getBgPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgRef--">getBgRef</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getChild-java.lang.Class-java.lang.String-java.lang.String-">getChild</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getCNvPr--">getCNvPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getFillPaint--">getFillPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getGrpSpPr--">getGrpSpPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeProperties--">getShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSpStyle--">getSpStyle</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getXmlObject--">getXmlObject</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectProperty-java.lang.Class-java.lang.String-">selectProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setParent-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">setParent</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.SimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">SimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#createHyperlink--">createHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getGeometry--">getGeometry</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getLineDecoration--">getLineDecoration</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShadow--">getShadow</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getStrokeStyle--">getStrokeStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setFillColor-java.awt.Color-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setStrokeStyle-java.lang.Object...-">setStrokeStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.geom.IAdjustableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.draw.geom.<a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                                        title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isExternalLinkedPicture--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isExternalLinkedPicture</h4>
                                <pre>public&nbsp;boolean&nbsp;isExternalLinkedPicture()</pre>
                                <div class="block">Is this an internal picture (image data included within
                                    the PowerPoint file), or an external linked picture
                                    (image lives outside)?
                                </div>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFPictureData</a>&nbsp;getPictureData()</pre>
                                <div class="block">Return the data on the (internal) picture.
                                    For an external linked picture, will return null
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html#getPictureData--">getPictureData</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the picture data for this picture.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPlaceholder</h4>
                                <pre>public&nbsp;void&nbsp;setPlaceholder(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">SimpleShape</a></code></span>
                                </div>
                                <div class="block">Specifies that the corresponding shape should be represented by the
                                    generating application
                                    as a placeholder. When a shape is considered a placeholder by the generating
                                    application
                                    it can have special properties to alert the user that they may enter content into
                                    the shape.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>placeholder</code> - the placeholder or null to remove the reference to
                                        the placeholder
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-"><code>PlaceholderDetails.setPlaceholder(Placeholder)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPictureLink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureLink</h4>
                                <pre>public&nbsp;java.net.URI&nbsp;getPictureLink()</pre>
                                <div class="block">For an external linked picture, return the last-seen
                                    path to the picture.
                                    For an internal picture, returns null.
                                </div>
                            </li>
                        </ul>
                        <a name="getBlipFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipFill</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties&nbsp;getBlipFill()</pre>
                            </li>
                        </ul>
                        <a name="getBlip--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlip</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTBlip&nbsp;getBlip()</pre>
                            </li>
                        </ul>
                        <a name="getBlipLink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipLink</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getBlipLink()</pre>
                            </li>
                        </ul>
                        <a name="getBlipId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlipId</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getBlipId()</pre>
                            </li>
                        </ul>
                        <a name="getClipping--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getClipping</h4>
                                <pre>public&nbsp;java.awt.Insets&nbsp;getClipping()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html#getClipping--">PictureShape</a></code></span>
                                </div>
                                <div class="block">Returns the clipping values as percent ratio relatively to the image
                                    size.
                                    The clipping are returned as insets converted/scaled to 100000 (=100%).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html#getClipping--">getClipping</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the clipping rectangle, which is given in percent in relation to the image
                                        width/height
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFPictureShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
               target="_top">Frames</a></li>
        <li><a href="XSLFPictureShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
